# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
edition = "2018"
name = "dubp-documents-parser"
version = "0.38.0"
authors = ["elois <elois@duniter.org>"]
description = "Parser for DUBP documents."
readme = "README.md"
keywords = ["duniter", "dubp", "documents", "parser"]
license = "AGPL-3.0"
repository = "https://git.duniter.org/libs/dubp-rs-libs"

[lib]
path = "src/lib.rs"
[dependencies.dubp-documents]
version = "0.38.0"

[dependencies.json-pest-parser]
version = "0.3.0"

[dependencies.pest]
version = "2.1.3"

[dependencies.pest_derive]
version = "2.1.0"

[dependencies.serde_json]
version = "1.0.*"

[dependencies.thiserror]
version = "1.0.20"
[dev-dependencies.unwrap]
version = "1.2.1"

[features]
crypto_scrypt = ["dubp-documents/crypto_scrypt"]
